

structure Emit : EMIT = struct

fun emit t =
    case !OUTPUT of
	Abstract => (printVerbose "::Writing abstract tts\n";
		     OutEmitAbstract.emit t;
		     printVerbose "::Done\n")
      | TTS      => (printVerbose "::Writing tts code\n";
		     EmitTts.emit t;
		     printVerbose "::Done\n")
      | _ => if HPX andalso !HIPPOEXT then
		 (case !OUTPUT of
		      HIPPO => (printVerbose "::Writing hippo code\n";
				EmitHippo.emit t;
				printVerbose "::Done\n")
		    | _ => ErrPrint.print ("unsupported code generator\n"))
	     else
		 ErrPrint.print ("unsupported code generator\n");

end;

